Summary: PHP3 - a powerful scripting language for HTML
Name: mod_php3
Version: 3.0.5
Release: 2libc5
Group: Networking/Daemons
Source0: http://www.php.net/distributions/php-3.0.5.tar.gz
Source1: php3-manual.tar.gz
Source2: apache_1.3.3-buildenv.tar.gz
Patch0: php-3.0.5-rh.patch
Copyright: GPL
BuildRoot: /var/tmp/php3-buildroot
Requires: webserver
Conflicts: glibc redhat-release >= 5.0

%description
PHP3 is a powerful apache module that adds scripting and database connection
capabilities to the apache server. 

%prep
%setup -q -n php-3.0.5 -a 2
%patch -p1 -b .rh
mkdir manual; tar xzf $RPM_SOURCE_DIR/php3-manual.tar.gz -C manual
chown -R root.root .

%build
./configure --prefix=/usr \
	--with-apxs=$RPM_BUILD_DIR/php-3.0.5/usr/sbin/apxs \
	--with-config-file-path=/usr/lib \
	--enable-debug=no \
	--enable-safe-mode \
	--with-exec-dir=/usr/bin \
	--with-system-regex

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/apache
install -m 755 libphp3.so $RPM_BUILD_ROOT/usr/lib/apache

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 21 1998 Preston Brown <pbrown@redhat.com>
- updated for apache 1.3.3

* Wed Sep 09 1998 Preston Brown <pbrown@redhat.com>
- added explicit apache build environment for libc5 system builds

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- improvements; builds with apache-devel package installed.

* Tue Sep 01 1998 Preston Brown <pbrown@redhat.com>
- Made initial cut for PHP3.

%files
/usr/lib/apache/libphp3.so
%doc TODO CODING_STANDARDS CREDITS ChangeLog LICENSE BUGS examples
%doc manual/*
